Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 4862 - separate gawk and gawk-3.0.3 files
Summary: separate gawk and gawk-3.0.3 files
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gawk
Version: 6.0
Hardware: i386
OS: Linux
low
low
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-09-02 18:34 UTC by Gene Czarcinski
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-09-03 21:09:46 UTC


Attachments (Terms of Use)

Description Gene Czarcinski 1999-09-02 18:34:06 UTC
gawk-3.0.0-7 installs separate /bin/gawk and /bin/gawk-3.0.3
of the size 143804 bytes each.  Why?? These files appear to
be duplicates and "waste" space (though not much).  Worse,
it is confusing.  Is there some reason that gawk is not a
symbolic link to gawk-3.0.3?

Gene

Comment 1 Jeff Johnson 1999-09-03 21:09:59 UTC
The files are hard linked:

krusty:~/tmp 441 bash$ rpm -q gawk
gawk-3.0.4-1
krusty:~/tmp 442 bash$ ls -al /bin/gawk*
-rwxr-xr-x   2 root     root       176648 Jul  9 22:55 /bin/gawk*
-rwxr-xr-x   2 root     root       176648 Jul  9 22:55
/bin/gawk-3.0.4*


Note You need to log in before you can comment on or make changes to this bug.